## mx4j.tools.connector
Class JMXAddress

    java.lang.Object
      mx4j.tools.connector.JMXAddress

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class JMXAddress
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

A JMXAddress is an URL in form of

     jmx:<protocol>://<host>:<port>/<path>;<property>

used to identify the address of an adaptor.

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`JMXAddress(java.lang.String address)`
`JMXAddress(java.lang.String proto, java.lang.String host, int port, java.lang.String path)`

Method Summary
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getHost()` Returns the host part
`java.lang.String` `getPath()` Returns the path
`int` `getPort()` Returns the port
`java.util.Map` `getProperties()` Returns a clone of the properties of this ServiceURL
`java.lang.Object` `getProperty(java.lang.String key)` Returns the value of the specified property
`java.lang.String` `getProtocol()` Protocol is in the form jrmp, iiop, https and so on.
`int` `hashCode()`
`protected boolean` `isEqual(java.lang.Object obj)`
`void` `putProperty(java.lang.String key, java.lang.Object value)` Sets the specified property
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMXAddress

    public JMXAddress(java.lang.String address)
               throws MalformedJMXAddressException

### JMXAddress

    public JMXAddress(java.lang.String proto,
                      java.lang.String host,
                      int port,
                      java.lang.String path)
               throws MalformedJMXAddressException

Method Detail

### getProtocol

    public java.lang.String getProtocol()

  Protocol is in the form jrmp, iiop, https and so on.

### getHost

    public java.lang.String getHost()

  Returns the host part

### getPort

    public int getPort()

  Returns the port

### getPath

    public java.lang.String getPath()

  Returns the path

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

  Returns the value of the specified property

### putProperty

    public void putProperty(java.lang.String key,
                            java.lang.Object value)

  Sets the specified property

### getProperties

    public java.util.Map getProperties()

  Returns a clone of the properties of this ServiceURL

### hashCode

    public int hashCode()

### equals

    public final boolean equals(java.lang.Object obj)

### isEqual

    protected boolean isEqual(java.lang.Object obj)

### clone

    public java.lang.Object clone()

### toString

    public java.lang.String toString()

Copyright © 2001-2003 MX4J Team. All Rights Reserved.